Package: groovy.json.internal

## [Java] Class CharSequenceValue

- groovy.json.internal.CharSequenceValue

- All Implemented Interfaces and Traits:
    Value, CharSequence

      public class CharSequenceValue

  Authors:
    Rick Hightower

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CharSequenceValue (boolean chop, Type type, int startIndex, int endIndex, char[] buffer, boolean encoded, boolean checkDate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `BigDecimal` | `bigDecimalValue()`
    `BigInteger` | `bigIntegerValue()`
    `boolean` | `booleanValue()`
    `byte` | `byteValue()`
    `char` | `charAt(int index)`
    `char` | `charValue()`
    `void` | `chop()`
    `Date` | `dateValue()`
    `double` | `doubleValue()`
    `boolean` | `equals(Object o)`
    `float` | `floatValue()`
    `int` | `hashCode()`
    `int` | `intValue()`
    `boolean` | `isContainer()`
    `int` | `length()`
    `long` | `longValue()`
    `short` | `shortValue()`
    `String` | `stringValue()`
    `String` | `stringValueEncoded()`
    `CharSequence` | `subSequence(int start, int end)`
    `T` | `toEnum(Class<T> cls)`
    `static T` | `toEnum(Class<T> cls, String value)`
    `static T` | `toEnum(Class<T> cls, int value)`
    `String` | `toString()`
    `Object` | `toValue()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public CharSequenceValue(boolean chop, Type type, int startIndex, int endIndex, char[] buffer, boolean encoded, boolean checkDate)

  - ### Method Detail

    - #### public BigDecimal bigDecimalValue()

    - #### public BigInteger bigIntegerValue()

    - #### public boolean booleanValue()

    - #### public byte byteValue()

    - #### public final char charAt(int index)

    - #### public char charValue()

    - #### public final void chop()

    - #### public Date dateValue()

    - #### public double doubleValue()

    - #### public boolean equals(Object o)

    - #### public float floatValue()

    - #### public int hashCode()

    - #### public int intValue()

    - #### public boolean isContainer()

    - #### public final int length()

    - #### public long longValue()

    - #### public short shortValue()

    - #### public String stringValue()

    - #### public String stringValueEncoded()

    - #### public final CharSequence subSequence(int start, int end)

    - #### public T toEnum(Class<T> cls)

    - #### public static T toEnum(Class<T> cls, String value)

    - #### public static T toEnum(Class<T> cls, int value)

    - #### public String toString()

    - #### public final Object toValue()